import request from '@/utils/request'

// 查询班组信息列表
export function listTeamMembers(query) {
  return request({
    url: '/base/teamMembers/list',
    method: 'get',
    params: query
  })
}

// 查询班组信息详细
export function getTeamMembers(objId) {
  return request({
    url: '/base/teamMembers/' + objId,
    method: 'get'
  })
}

// 新增班组信息
export function addTeamMembers(data) {
  return request({
    url: '/base/teamMembers',
    method: 'post',
    data: data
  })
}

// 修改班组信息
export function updateTeamMembers(data) {
  return request({
    url: '/base/teamMembers',
    method: 'put',
    data: data
  })
}

// 删除班组信息
export function delTeamMembers(objId) {
  return request({
    url: '/base/teamMembers/' + objId,
    method: 'delete'
  })
}
